Log Reporting - Bug #7433
apache rewrite does not support idFilter
2015-10-15 19:40 - Robert Waltz

Status: Closed Start date: 2015-10-15
Priority: Normal Due date:

Assignee: Robert Waltz % Done: 100%
Category: d1_log_aggregation Estimated time: 0.00 hour
Target version: CCl-2.0.0

Story Points:

Description

apache rewrite supports pidFilter and not idFilter for both v1 and v2 implementations.

Remove pidFilter on the v1 endpoint while adding idFilter.

Luckily, the v1 documentation for pidFilter reads. "Support for this parameter is optional and MAY be ignored by the Coordinating
Node implementation with no warning." Supporting both idFilter and pidFilter creates some complex perl regex rewrites in the

apache rewrite config.

Add idFilter to the v2 endpoint rewrite.

Associated revisions

Revision 16688 - 2015-10-16 19:23 - Robert Waltz
closes #7433

added OR seriesld to rewrite and change the query parameter from pidFilter to idFilter

Revision 16688 - 2015-10-16 19:23 - Robert Waltz
closes #7433

added OR seriesld to rewrite and change the query parameter from pidFilter to idFilter

History

#1 - 2015-10-15 20:25 - Robert Waltz
- Status changed from New to In Progress

- % Done changed from 0 to 30

#2 - 2015-10-16 15:59 - Robert Waltz

- Description updated
#3 - 2015-10-17 00:31 - Robert Waltz
- Status changed from In Progress to Closed

- % Done changed from 30 to 100

Applied in changeset d1-python:d1_python|r16688.
